Next Previous Contents

## 3.150 stricmp

> Function

>   Compare two strings case insensitive.

> Header

>   `string.h`

> Declaration

>   `int __fastcall__ stricmp (const char* s1, const char* s2);`

> Description

>   The `stricmp` function compares the two strings passed as parameters without case sensitivity. It returns a value that is less than zero if `s1` is less than `s2`, zero if `s1` is the same as `s2`, and a value greater than zero if `s1` is greater than `s2`.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
>   - The function is not available in strict ANSI mode.
> Availability

>   cc65

> See also

>   strcasecmp, strcmp, strcoll, strncmp strxfrm

> Example

>   None.

Next Previous Contents